Package wx :: Class GCDC

[frames | no frames]

## Type GCDC

    object --+
             |
        Object --+
                 |
                DC --+
                     |
                    GCDC

Proxy of C++ GCDC class

Method Summary
GCDC | ``__init__`(self, dc)` __init__(self, Window window) -> GCDC
| `__del__(self)`
GraphicsContext | `GetGraphicsContext(self)`
| `SetGraphicsContext(self, ctx)`

Property Summary
| `GraphicsContext`
| `thisown`: The membership flag

Method Details

### __init__(self, dc)
(Constructor)

__init__(self, Window window) -> GCDC

  Parameters:
    `dc`
    (type=WindowDC)

  Returns:
    GCDC
  Overrides:
    `wx.DC.__init__`

Property Details

### GraphicsContext

  Get Method:
    `GetGraphicsContext`(self)
  Set Method:
    `SetGraphicsContext`(self, ctx)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:33 2007 | http://epydoc.sf.net